For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all sender domains
      • POSTCreate a new sender domain
      • DELDelete a sender domain
      • GETGet a sender domain configuration
      • PUTAuthenticate a sender domain
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsDomains

Delete a sender domain

DELETE
https://api.brevo.com/v3/senders/domains/:domainName
DELETE
/v3/senders/domains/:domainName
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.domains.deleteDomain("domainName");
8}
9main();
1{}
Deletes a domain from Brevo. Use this to: - Remove existing domains - Clean up unused domain configurations - Remove test domains Key information returned: - Success confirmation message
Was this page helpful?
Previous

Get a sender domain configuration

Next
Built with

Deletes a domain from Brevo.

Use this to:

  • Remove existing domains
  • Clean up unused domain configurations
  • Remove test domains

Key information returned:

  • Success confirmation message

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

domainNamestringRequired
Domain name

Response

Domain deleted successfully

Errors

400
Bad Request Error
404
Not Found Error